package com.ruoyi.system.mapper.system;

import com.ruoyi.system.domain.system.SysOtherappAttachment;
import com.ruoyi.system.domain.system.SysOtherappAttachmentExample;
import org.apache.ibatis.annotations.Param;

import java.util.List;

public interface SysOtherappAttachmentMapper {

    long countByExample(SysOtherappAttachmentExample example);

    int deleteByExample(SysOtherappAttachmentExample example);

    int deleteByPrimaryKey(Long attachId);

    int insert(SysOtherappAttachment record);

    int insertSelective(SysOtherappAttachment record);

    List<SysOtherappAttachment> selectByExample(SysOtherappAttachmentExample example);

    SysOtherappAttachment selectByPrimaryKey(Long attachId);

    int updateByExampleSelective(@Param("record") SysOtherappAttachment record, @Param("example") SysOtherappAttachmentExample example);

    int updateByExample(@Param("record") SysOtherappAttachment record, @Param("example") SysOtherappAttachmentExample example);

    int updateByPrimaryKeySelective(SysOtherappAttachment record);

    int updateByPrimaryKey(SysOtherappAttachment record);
}
